#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QDebug>
#include <QSqlQuery>
#include <QSettings>
#include <QTableWidgetItem>

#include "EditWindow.h"
#include "MainWindow.h"
#include "SociModel.h"
#include "ui_MainWindow.h"

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

    //void setStatus(Ui::StatusType type, QString message);

private slots:
    void on_buttonCerca_clicked();
    void on_buttonNuovo_clicked();
    void on_tableSoci_clicked(const QModelIndex& index);

private:
    SociModel* sociModel = nullptr;
    QSqlQuery query;

    QLineEdit* lineNome = nullptr;
    QLineEdit* lineCognome = nullptr;
    QTableView* tableSoci = nullptr;

    Ui::MainWindow *ui;

    void connectDatabase(void);
};

extern MainWindow* mw;

#endif